%define name festival
%define version 1.4.3
%define release 5mdk
%define speech_ver 1.2.3

Name:  		%{name}
Summary: 	A free speech synthesizer 
Version: 	%{version}
Release: 	%{release}
License: 	BSD
Group: 		Sound
URL: 		http://www.cstr.ed.ac.uk/projects/festival/
Source: 	ftp://ftp.cstr.ed.ac.uk/pub/festival/%{version}/%{name}-%{version}-release.tar.bz2
Source2: 	ftp://ftp.cstr.ed.ac.uk/pub/festival/%{version}/festdoc-1.4.2.tar.bz2
Source3: 	speech_tools-config
Source5: 	festival-1.4.3-config
BuildRoot: 	%{_tmppath}/%{name}-%{version}-root 
BuildRequires: 	%_bindir/readlink perl
BuildRequires: 	libtermcap-devel speech_tools-devel
Requires:	festival-voice

# Fix up various locations to be more FSSTND compliant
Patch: 		festival-1.4.1-fsstnd.patch.bz2
#Patch2:         %{name}-config.patch

# Set defaults to American English instead of British English - the OALD
# dictionary (free for non-commercial use only) is needed for BE support
Patch1: festival-american.patch.bz2

Patch3:         %{name}-1.4.3-config.patch.bz2

# Translate this strange pseudocode to real C++
Patch21: festival-1.4.2-c++.patch.bz2

Patch22: festival-1.4.3-gcc3_4.patch.bz2

# needed by the asterisk pbx software
Patch23: festival-1.4.3-asterisk.diff.bz2

%description
Festival is a general multi-lingual speech synthesis system developed
at CSTR. It offers a full text to speech system with various APIs, as
well as an environment for development and research of speech synthesis
techniques. It is written in C++ with a Scheme-based command interpreter
for general control.

%package devel
Summary:  Static libraries and headers for festival text to speech
Group: Development/C++
Requires: %{name} = %{version}-%release

%description devel
Festival is a general multi-lingual speech synthesis system developed
at CSTR. It offers a full text to speech system with various APIs, as
well as an environment for development and research of speech synthesis
techniques. It is written in C++ with a Scheme-based command interpreter
for general control.

This package contains the libraries and includes files necessary to develop
applications using festival.
 
%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n festival -a 2

#ln -sf festival/speech_tools ../speech_tools

#%patch -p1
%patch3 -p1
#patch1 -p1 -b .americandefault
#%patch21 -p1 -b .fv_c++
%patch22 -p1 -b .gcc3_4

# needed by the asterisk pbx software
%patch23 -p1 -b .asterisk

# zero length

rm festdoc-1.4.2/speech_tools/doc/index_html.jade
rm festdoc-1.4.2/speech_tools/doc/examples_gen/error_example_section.sgml
rm festdoc-1.4.2/speech_tools/doc/tex_stuff.jade

rm -f bin/VCLocalRules

# (gb) lib64 fixes, don't bother with a patch for now
perl -pi -e '/^REQUIRED_LIBRARY_DIR/ and s,/usr/lib,%{_libdir},' config/project.mak

%build
%configure
make 

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_datadir}/%{name}/{voices/english,dicts},%{_libdir},%{_includedir}/%{name},%{_mandir}/man1}

# bin
install bin/festival_server* bin/text2wave $RPM_BUILD_ROOT%{_bindir}
install src/main/festival{,_client} $RPM_BUILD_ROOT%{_bindir}

# devel
install src/lib/libFestival.a $RPM_BUILD_ROOT%{_libdir}
install src/include/*.h $RPM_BUILD_ROOT%{_includedir}/%{name}

# data
cp -r lib config examples $RPM_BUILD_ROOT%{_datadir}/%{name}
find $RPM_BUILD_ROOT%{_datadir}/%{name} -name Makefile -exec rm \{\} \;

install doc/festival{,_client}.1 $RPM_BUILD_ROOT%{_mandir}/man1

mv -f $RPM_BUILD_ROOT/%{_datadir}/%{name}/lib/etc/unknown_RedHatLinux/audsp $RPM_BUILD_ROOT/%{_bindir}
rm -Rf $RPM_BUILD_ROOT/%{_datadir}/%{name}/lib/etc/

perl -pi -e 's,/projects/festival/lib,%{_datadir}/%{name},g' $RPM_BUILD_ROOT/%{_datadir}/%{name}/lib/lexicons.scm

find festdoc-1.4.2 -type d -name 'CVS' -exec rm -Rf {} \;|| true


%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc ACKNOWLEDGMENTS COPYING INSTALL NEWS README*
%doc festdoc-1.4.2/festival/html/*html
%doc festdoc-1.4.2/festival/info
%doc festdoc-1.4.2/festival/festival.ps
%_bindir/*
%_datadir/festival
%{_mandir}/man1/*

%files devel
%defattr(-,root,root)
%doc festdoc-1.4.2/speech_tools
%_libdir/*.a
%dir %_includedir/festival
%_includedir/festival/*

%changelog
* Fri Oct  1 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.4.3-5mdk
- lib64 fixes

* Fri Sep 10 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.4.3-4mdk
- added P23 (needed by the asterisk pbx software)

* Tue Jul 20 2004 Christiaan Welvaart <cjw@daneel.dyndns.org> 1.4.3-3mdk
- rebuild with gcc 3.4 (patch22)

* Fri Feb 21 2003 Buchan Milne <bgmilne@linux-mandrake.com> 1.4.3-2mdk
- Fix festival looking for dictionaries in weird places (bug 2051)

* Tue Feb 11 2003 Buchan Milne <bgmilne@linux-mandrake.com> 1.4.3-1mdk
- PLF->MDK (satisfy requires in speaker3 ;-))
- Split voices into seperate srpm (make them noarch)
- Cleanups and unpackaged files
- 1.4.3

* Sun Sep  8 2002 Gtz Waschk <waschk@informatik.uni-rostock.de> 1.4.2-3plf
- update patch 20 and 21 to the rawhide versions -> gcc 3.2 build 

* Fri Jul 26 2002 Gtz Waschk <waschk@informatik.uni-rostock.de> 1.4.2-2plf
- gcc 3.2 build

* Fri Jul  5 2002 Gtz Waschk <waschk@informatik.uni-rostock.de> 1.4.2-1plf
- fixed buildrequires (readlink, termcap)
- adapted spec from Charles A Edwards <eslrahc@bellsouth.net>

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Mon Jun 10 2002 Trond Eivind Glomsrd <teg@redhat.com> 1.4.2-7
- Fix some rpmlint errors

* Mon Jun 10 2002 Bernhard Rosenkraenzer <bero@redhat.com> 1.4.2-6
- Fix ISO C++ compliance

* Mon Mar 18 2002 Tim Powers <timp@redhat.com>
- rebuilt

* Thu Mar 14 2002 Trond Eivind Glomsrd <teg@redhat.com> 1.4.2-2
- Get rid of CVS directiories in doc dir
- Fix broken symlinks for components from speech_tools

* Wed Mar  6 2002 Trond Eivind Glomsrd <teg@redhat.com>
- 1.4.2
- Lots of fixes to make it build, more needed
- Cleanups
- Update URL
- Fix docs inclusion
- Drop prefix
- Use %%{_tmppath}

* Wed Aug  2 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Add defattr (Bug #15033)

* Tue Jul 25 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- fix build on current 7.0

* Mon Jul 17 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- fix build on current 7.0

* Thu Jul  6 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- FHSify

* Mon Jun 19 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Fix build on non-x86

* Sun Apr 22 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- initial packaging

